Jack2: Jack::JackSocketClientChannel Class Reference

Jack2 1.9.12

Public Member Functions | List of all members
Jack::JackSocketClientChannel Class Reference

JackClientChannel using sockets. More...

`#include <JackSocketClientChannel.h>`

Inheritance diagram for Jack::JackSocketClientChannel:

## Public Member Functions
int | Open (const char *server_name, const char *name, int uuid, char *name_res, JackClient *client, jack_options_t options, jack_status_t *status)
void | Close ()
int | Start ()
void | Stop ()
bool | Init ()
bool | Execute ()
bool | IsChannelThread ()
Public Member Functions inherited from Jack::JackGenericClientChannel
int | ServerCheck (const char *server_name)
void | ClientCheck (const char *name, int uuid, char *name_res, int protocol, int options, int *status, int *result, int open)
void | ClientOpen (const char *name, int pid, int uuid, int *shared_engine, int *shared_client, int *shared_graph, int *result)
void | ClientClose (int refnum, int *result)
void | ClientActivate (int refnum, int is_real_time, int *result)
void | ClientDeactivate (int refnum, int *result)
void | PortRegister (int refnum, const char *name, const char *type, unsigned int flags, unsigned int buffer_size, jack_port_id_t *port_index, int *result)
void | PortUnRegister (int refnum, jack_port_id_t port_index, int *result)
void | PortConnect (int refnum, const char *src, const char *dst, int *result)
void | PortDisconnect (int refnum, const char *src, const char *dst, int *result)
void | PortConnect (int refnum, jack_port_id_t src, jack_port_id_t dst, int *result)
void | PortDisconnect (int refnum, jack_port_id_t src, jack_port_id_t dst, int *result)
void | PortRename (int refnum, jack_port_id_t port, const char *name, int *result)
void | SetBufferSize (jack_nframes_t buffer_size, int *result)
void | SetFreewheel (int onoff, int *result)
void | ComputeTotalLatencies (int *result)
void | ReleaseTimebase (int refnum, int *result)
void | SetTimebaseCallback (int refnum, int conditional, int *result)
void | GetInternalClientName (int refnum, int int_ref, char *name_res, int *result)
void | InternalClientHandle (int refnum, const char *client_name, int *status, int *int_ref, int *result)
void | InternalClientLoad (int refnum, const char *client_name, const char *so_name, const char *objet_data, int options, int *status, int *int_ref, int uuid, int *result)
void | InternalClientUnload (int refnum, int int_ref, int *status, int *result)
void | SessionNotify (int refnum, const char *target, jack_session_event_type_t type, const char *path, jack_session_command_t **result)
void | SessionReply (int refnum, int *result)
void | GetUUIDForClientName (int refnum, const char *client_name, char *uuid_res, int *result)
void | GetClientNameForUUID (int refnum, const char *uuid, char *name_res, int *result)
void | ReserveClientName (int refnum, const char *client_name, const char *uuid, int *result)
void | ClientHasSessionCallback (const char *client_name, int *result)
Public Member Functions inherited from Jack::detail::JackClientChannelInterface
virtual void | ClientOpen (const char *name, int *ref, JackEngineControl **shared_engine, JackGraphManager **shared_manager, JackClientInterface *client, int *result)

## Additional Inherited Members
Protected Member Functions inherited from Jack::JackGenericClientChannel
void | ServerSyncCall (JackRequest *req, JackResult *res, int *result)
void | ServerAsyncCall (JackRequest *req, JackResult *res, int *result)
Protected Attributes inherited from Jack::JackGenericClientChannel
detail::JackClientRequestInterface * | fRequest

## Detailed Description

JackClientChannel using sockets.

Definition at line 37 of file JackSocketClientChannel.h.

## Member Function Documentation

## ◆ Init()

bool Jack::JackSocketClientChannel::Init | ( |  | ) |
| virtual

Called once when the thread is started

Reimplemented from Jack::JackRunnableInterface.

Definition at line 112 of file JackSocketClientChannel.cpp.

The documentation for this class was generated from the following files:

- JackSocketClientChannel.h
- JackSocketClientChannel.cpp